/**
 * @brief OPA-输出到IO
 * @details 使能OPA0，内部增益设置为160k:40k，并输出到P2.7。
 * 测试时输入信号固定N端为1V，P端从0.5-1.5V之间线性变化。
 */

#include "lks32mc09x_opa.h"
volatile uint32_t opa_out = OPA_OUT_CMP_OUT0P;
/**
 * @brief 主函数
 */
int main(void)
{
    OPA_Enable(OPA_CHANNEL_0);
    OPA_Enable(OPA_CHANNEL_1);
    OPA_Enable(OPA_CHANNEL_2);
    OPA_Enable(OPA_CHANNEL_3);
    OPA_SetGain(OPA_CHANNEL_0, OPA_GAIN_4);
    OPA_OutCmpSignal(OPA_OUT_CMP_OUT0P, 1);
    while (1)
    {
        OPA_OutCmpSignal(opa_out, 1);
    }
}

